| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
Ogre::D3D11Device Class Reference

`#include <OgreD3D11Device.h>`

## Public Types
enum | eExceptionsErrorLevel { D3D_NO_EXCEPTION, D3D_CORRUPTION, D3D_ERROR, D3D_WARNING, D3D_INFO }

## Public Member Functions
| D3D11Device ()
| ~D3D11Device ()
bool | _getErrorsFromQueue () const
void | clearStoredErrorMessages () const
ID3D11DeviceN * | get ()
ID3D11ClassLinkage * | GetClassLinkage ()
LARGE_INTEGER | GetDriverVersion ()
IDXGIFactoryN * | GetDXGIFactory ()
String | getErrorDescription (const HRESULT hr=NO_ERROR) const
ID3D11DeviceContextN * | GetImmediateContext ()
bool | IsDeviceLost ()
bool | isError () const
bool | isNull ()
ID3D11DeviceN * | operator-> () const
void | ReleaseAll ()
void | throwIfFailed (HRESULT hr, const char *desc, const char *src)
void | throwIfFailed (const char *desc, const char *src)
void | TransferOwnership (ID3D11DeviceN *device)

## Static Public Member Functions
static const eExceptionsErrorLevel | getExceptionsErrorLevel ()
static D3D_DRIVER_TYPE | parseDriverType (const Ogre::String &value, D3D_DRIVER_TYPE fallback=D3D_DRIVER_TYPE_HARDWARE)
static D3D_FEATURE_LEVEL | parseFeatureLevel (const Ogre::String &value, D3D_FEATURE_LEVEL fallback)
static void | setExceptionsErrorLevel (const eExceptionsErrorLevel exceptionsErrorLevel)
static void | setExceptionsErrorLevel (const Ogre::String &exceptionsErrorLevel)

## Static Public Attributes
static eExceptionsErrorLevel | mExceptionsErrorLevel

## Member Enumeration Documentation

## ◆ eExceptionsErrorLevel

enum Ogre::D3D11Device::eExceptionsErrorLevel

Enumerator
D3D_NO_EXCEPTION |
D3D_CORRUPTION |
D3D_ERROR |
D3D_WARNING |
D3D_INFO |

## Constructor & Destructor Documentation

## ◆ D3D11Device()

Ogre::D3D11Device::D3D11Device | ( |  | ) |

## ◆ ~D3D11Device()

Ogre::D3D11Device::~D3D11Device | ( |  | ) |

## Member Function Documentation

## ◆ ReleaseAll()

void Ogre::D3D11Device::ReleaseAll | ( |  | ) |

## ◆ TransferOwnership()

void Ogre::D3D11Device::TransferOwnership | ( | ID3D11DeviceN * | device | ) |

## ◆ IsDeviceLost()

bool Ogre::D3D11Device::IsDeviceLost | ( |  | ) |

## ◆ isNull()

bool Ogre::D3D11Device::isNull | ( | void |  | ) |
| inline

## ◆ get()

ID3D11DeviceN* Ogre::D3D11Device::get | ( | void |  | ) |
| inline

References Ogre::ComPtr< T >::Get().

## ◆ GetImmediateContext()

ID3D11DeviceContextN* Ogre::D3D11Device::GetImmediateContext | ( |  | ) |
| inline

References Ogre::ComPtr< T >::Get().

## ◆ GetClassLinkage()

ID3D11ClassLinkage* Ogre::D3D11Device::GetClassLinkage | ( |  | ) |
| inline

References Ogre::ComPtr< T >::Get().

## ◆ GetDXGIFactory()

IDXGIFactoryN* Ogre::D3D11Device::GetDXGIFactory | ( |  | ) |
| inline

References Ogre::ComPtr< T >::Get().

## ◆ GetDriverVersion()

LARGE_INTEGER Ogre::D3D11Device::GetDriverVersion | ( |  | ) |
| inline

## ◆ operator->()

ID3D11DeviceN* Ogre::D3D11Device::operator-> | ( |  | ) | const
| inline

References Ogre::ComPtr< T >::Get().

## ◆ throwIfFailed() [1/2]

void Ogre::D3D11Device::throwIfFailed | ( | HRESULT | hr,
|  | const char * | desc,
|  | const char * | src
| ) |  |

## ◆ throwIfFailed() [2/2]

void Ogre::D3D11Device::throwIfFailed | ( | const char * | desc,
|  | const char * | src
| ) |  |
| inline

References throwIfFailed().

Referenced by throwIfFailed().

## ◆ getErrorDescription()

String Ogre::D3D11Device::getErrorDescription | ( | const HRESULT | hr = `NO_ERROR` | ) | const

## ◆ clearStoredErrorMessages()

void Ogre::D3D11Device::clearStoredErrorMessages | ( |  | ) | const

## ◆ _getErrorsFromQueue()

bool Ogre::D3D11Device::_getErrorsFromQueue | ( |  | ) | const

## ◆ isError()

bool Ogre::D3D11Device::isError | ( |  | ) | const
| inline

## ◆ getExceptionsErrorLevel()

static const eExceptionsErrorLevel Ogre::D3D11Device::getExceptionsErrorLevel | ( |  | ) |
| static

## ◆ setExceptionsErrorLevel() [1/2]

static void Ogre::D3D11Device::setExceptionsErrorLevel | ( | const eExceptionsErrorLevel | exceptionsErrorLevel | ) |
| static

## ◆ setExceptionsErrorLevel() [2/2]

static void Ogre::D3D11Device::setExceptionsErrorLevel | ( | const Ogre::String & | exceptionsErrorLevel | ) |
| static

## ◆ parseFeatureLevel()

static D3D_FEATURE_LEVEL Ogre::D3D11Device::parseFeatureLevel | ( | const Ogre::String & | value,
|  | D3D_FEATURE_LEVEL | fallback
| ) |  |
| static

## ◆ parseDriverType()

static D3D_DRIVER_TYPE Ogre::D3D11Device::parseDriverType | ( | const Ogre::String & | value,
|  | D3D_DRIVER_TYPE | fallback = `D3D_DRIVER_TYPE_HARDWARE`
| ) |  |
| static

## Member Data Documentation

## ◆ mExceptionsErrorLevel

eExceptionsErrorLevel Ogre::D3D11Device::mExceptionsErrorLevel
| static

The documentation for this class was generated from the following file:

- OgreD3D11Device.h